org.eclipse.emf.cdo.common.lock

## Interface CDOLockOwner

- All Known Subinterfaces:
    CDOCommonTransaction, CDOCommonView, CDOTransaction, CDOView, InternalCDOTransaction, InternalCDOView, InternalTransaction, InternalView, ITransaction, IView
  All Known Implementing Classes:
    CDOPushTransaction

      public interface CDOLockOwner

  A client-side representation of a view owning locks.

  Since:
    4.1
  Author:
    Caspar De Groot
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDurableLockingID()`
    `int` | `getSessionID()`
    `int` | `getViewID()`
    `boolean` | `isDurableView()`

- - ### Method Detail

    - #### getSessionID

          int getSessionID()

      Returns:
        the ID identifying the session that owns the view

    - #### getViewID

          int getViewID()

      Returns:
        the ID identifying the view within the session

    - #### getDurableLockingID

          String getDurableLockingID()

    - #### isDurableView

          boolean isDurableView()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html